---
updatedAt: 2025-11-11T00:09:50.000Z
agentTools:
  projectIndex: https://docs.interswitchgroup.com/v1.1/llms.txt
---

# Bank Codes

This endpoint is used for retrieving all the available recipient banks, the bankCbnCode field, this will then be supplied in the transfer to bank account payload.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "bulk-transfer",
    "version": "1.1"
  },
  "servers": [
    {
      "url": "https://api-gateway.interswitchng.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "oauth2",
        "flows": {}
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/generic-wallet/api/v1/admin/account/banks": {
      "get": {
        "summary": "Bank Codes",
        "description": "This endpoint is used for retrieving all the available recipient banks, the bankCbnCode field, this will then be supplied in the transfer to bank account payload.",
        "operationId": "bank-codes-1",
        "parameters": [
          {
            "name": "Content-Type",
            "in": "header",
            "schema": {
              "type": "string",
              "default": "application/json"
            }
          },
          {
            "name": "Authorization",
            "in": "header",
            "schema": {
              "type": "string",
              "default": "<passport_generated_bearer_token>"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n\"statusCode\": \"200\",\n\"responseCode\": \"00\",\n\"responseMessage\": \"Successful\",\n\"errors\": null,\n\"modelList\": [\n{\n\"id\": 1,\n\"bankCode\": \"PRO\",\n\"bankName\": \"Providus Bank New\",\n\"bankCbnCode\": \"101\"\n},\n{\n\"id\": 22,\n\"bankCode\": \"ACC\",\n\"bankName\": \"Access Bank\",\n\"bankCbnCode\": \"058\"\n},\n{\n\"id\": 23,\n\"bankCode\": \"FBN\",\n\"bankName\": \"First Bank New\",\n\"bankCbnCode\": \"123\"\n}\n],\n\"count\": 3\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "statusCode": {
                      "type": "string",
                      "example": "200"
                    },
                    "responseCode": {
                      "type": "string",
                      "example": "00"
                    },
                    "responseMessage": {
                      "type": "string",
                      "example": "Successful"
                    },
                    "errors": {},
                    "modelList": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "id": {
                            "type": "integer",
                            "example": 1,
                            "default": 0
                          },
                          "bankCode": {
                            "type": "string",
                            "example": "PRO"
                          },
                          "bankName": {
                            "type": "string",
                            "example": "Providus Bank New"
                          },
                          "bankCbnCode": {
                            "type": "string",
                            "example": "101"
                          }
                        }
                      }
                    },
                    "count": {
                      "type": "integer",
                      "example": 3,
                      "default": 0
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl https://api-gateway.interswitchng.com/generic-wallet/api/v1/admin/account/banks \\\n-H \"Authorization: <passport_generated_token>\" \\\n-H \"Content-Type: application/json\" \n-X GET"
            },
            {
              "language": "php",
              "code": "$curlInit = curl_init();\ncurl_setopt($curlInit, CURLOPT_HTTPHEADER, array(\n'Content-Type: application/json',\n'Authorization: <passport_generated_token>'\n));\n\ncurl_setopt($curlInit, CURLOPT_RETURNTRANSFER, true);\ncurl_setopt($curlInit, CURLOPT_URL, 'https://api-gateway.interswitchng.com/generic-wallet/api/v1/admin/account/banks');\n\n$response = curl_exec($curlInit);\ncurl_close($curlInit);\nreturn $response;"
            },
            {
              "language": "javascript",
              "code": "const options = {\n  hostname: 'api-gateway.interswitchng.com',\n  port: 443,\n  path: '/generic-wallet/api/v1/admin/account/banks',\n  method: 'GET',\n  headers: {\n    Authorization: '<passport_generated_token>',\n    'Content-Type': 'application/json'\n  }\n};\n\n\nconst request = https.request(options, response => {\n  response.on('data', (chunk) => {\n    data += chunk;\n  })\n\n  response.on('end', () => {\n    console.log(JSON.parse(data));\n  });\n\n}).on('error', error => {\n  console.log('error: ', error);\n});\nrequest.end();"
            }
          ],
          "samples-languages": [
            "curl",
            "php",
            "javascript"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```